Bug 81301 - PATCH: allow %package directive in %included kickstart files
Summary: PATCH: allow %package directive in %included kickstart files
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-01-07 20:20 UTC by David Lehman
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-25 14:52:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to change the behavior of the KickstartBase class as described in the original bug report (811 bytes, patch)
2003-01-07 20:21 UTC, David Lehman
no flags Details | Diff

Description David Lehman 2003-01-07 20:20:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
Currently, package/group/exclude lists are overwritten at the end of
readKickstart. If %package lives in a %include'd file, all package info from the
included file gets lost when the main call to readKickstart exits the main loop.

The patch changes the behavior so that readKickstart appends
package/group/exclude bits instead of assigning the current call's lists to the
class attributes. This way no data gets lost, at least for packages.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. put entire %package directive in a file
2. include that file from a ks.cfg using %include
3. 
    

Actual Results:  the %package section's contents were overwritten with the empty
package, group, exclude lists from the top level call.

Expected Results:  info from %package directives in *both* files should be preserved

Additional info:

there are obviously issues if users supply 2 or more conflicting sets of package
selection info, but that's unavoidable IMHO. ordering of processing is
predictable, so they'll just have to pay attention.

Comment 1 David Lehman 2003-01-07 20:21:42 UTC
Created attachment 89192 [details]
patch to change the behavior of the KickstartBase class as described in the original bug report

Comment 2 Michael Fulbright 2003-01-08 20:49:06 UTC
Thanks for the patch!

Comment 3 Jeremy Katz 2003-01-08 22:57:40 UTC
Applied

Comment 4 Brent Fox 2003-05-25 14:52:51 UTC
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.


Note You need to log in before you can comment on or make changes to this bug.